Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class GStringExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.GStringExpression

    public class GStringExpression

extends Expression

Represents a String expression which contains embedded values inside it such as "hello there ${user} how are you" which is expanded lazily

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`GStringExpression(String verbatimText)`
`GStringExpression(String verbatimText, List strings, List values)`

Method Summary
`void` | `addString(ConstantExpression text)`
`void` | `addValue(Expression value)`
`Expression` | `asConstantString()`
`List` | `getStrings()`
`String` | `getText()`
`Expression` | `getValue(int idx)`
`List` | `getValues()`
`boolean` | `isConstantString()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GStringExpression

    public GStringExpression(String verbatimText)

### GStringExpression

    public GStringExpression(String verbatimText,
                             List strings,
                             List values)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### getStrings

    public List getStrings()

### getValues

    public List getValues()

### addString

    public void addString(ConstantExpression text)

### addValue

    public void addValue(Expression value)

### getValue

    public Expression getValue(int idx)

### isConstantString

    public boolean isConstantString()

### asConstantString

    public Expression asConstantString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD